Bug 187306 - xend throws exception on reboot of domain
xend throws exception on reboot of domain
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: xen (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Veillard
Brian Brock
:
Depends On:
Blocks: 179629
  Show dependency treegraph
 
Reported: 2006-03-29 16:07 EST by Dan Young
Modified: 2007-11-30 17:11 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-26 16:28:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
/var/log/xend.log (17.92 KB, text/plain)
2006-03-29 16:07 EST, Dan Young
no flags Details
/var/log/audit/audit.log (14.31 KB, text/plain)
2006-03-31 11:02 EST, Dan Young
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 179677 None None None Never

  None (edit)
Description Dan Young 2006-03-29 16:07:53 EST
+++ This bug was initially created as a clone of Bug #179677 +++

From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8) Gecko/20060126
Fedora/1.5-5 Firefox/1.5

Description of problem:
"xm list" gives this traceback after doing a "shutdown -r now" in a domain:

Traceback (most recent call last):
  File "/usr/sbin/xm", line 10, in ?
    main.main(sys.argv)
  File "/usr/lib/python2.4/site-packages/xen/xm/main.py", line 1021, in main
    rc = cmd(args)
  File "/usr/lib/python2.4/site-packages/xen/xm/main.py", line 357, in xm_list
    doms = getDomains(params)
  File "/usr/lib/python2.4/site-packages/xen/xm/main.py", line 333, in getDomains
    return server.xend_list_domains()
  File "/usr/lib/python2.4/site-packages/xen/xend/XendClient.py", line 200, in
xend_list_domains
    return self.xendGet(self.domainurl(), {'detail': '1'})
  File "/usr/lib/python2.4/site-packages/xen/xend/XendClient.py", line 150, in
xendGet
    return self.client.xendGet(url, args)
  File "/usr/lib/python2.4/site-packages/xen/xend/XendProtocol.py", line 92, in
xendGet
    return self.xendRequest(url, "GET", args)
  File "/usr/lib/python2.4/site-packages/xen/xend/XendProtocol.py", line 187, in
xendRequest
    val = self.handleResponse(data)
  File "/usr/lib/python2.4/site-packages/xen/xend/XendProtocol.py", line 131, in
handleResponse
    return self.handleException(err)
  File "/usr/lib/python2.4/site-packages/xen/xend/XendProtocol.py", line 138, in
handleException
    raise err
xen.xend.XendProtocol.XendError: Disk isn't accessible

This is booting w/ 2.6.16-1.2080_FC5xen0 and 2.6.16-1.2080_FC5xenU.

Version-Release number of selected component (if applicable):
xen-3.0.1-4

How reproducible:
Always

Steps to Reproduce:
1. xm create -c foo
2. Log in to foo
3. shutdown -r now
4. "xm list" in dom0


Actual Results:  Traceback in description. /var/log/xend.log will be attached.

Expected Results:  foo should reboot.

Additional info:

Can "/etc/init.d/xend restart" to recover.
Comment 1 Dan Young 2006-03-29 16:07:53 EST
Created attachment 127021 [details]
/var/log/xend.log
Comment 2 Stephen Tweedie 2006-03-31 10:06:52 EST
I'm pretty sure this is an SELinux effect; does "setenforce 0" prior to the
reboot workaround the problem for you?
Comment 3 Stephen Tweedie 2006-03-31 10:44:19 EST
(This is nothing at all to do with the bug it was cloned from, btw: the symptoms
are similar but the backtrace shows a problem somewhere completely different.)

Can you also confirm whether you see an AVC denial message at the tail of
/var/log/audit/audit.log (if audit is enabled) or, otherwise, dmesg output?
Comment 4 Dan Young 2006-03-31 10:51:28 EST
(In reply to comment #2)
> I'm pretty sure this is an SELinux effect; does "setenforce 0" prior to the
> reboot workaround the problem for you?

Yes, that works around the problem. I'll follow up on the audit.log shortly.

Comment 5 Dan Young 2006-03-31 11:00:42 EST
(In reply to comment #3)
> (This is nothing at all to do with the bug it was cloned from, btw: the symptoms
> are similar but the backtrace shows a problem somewhere completely different.)

Got it. Thanks.

> Can you also confirm whether you see an AVC denial message at the tail of
> /var/log/audit/audit.log (if audit is enabled) or, otherwise, dmesg output?

Lots of this:
type=AVC msg=audit(1143820871.035:92): avc:  denied  { search } for  pid=2456
comm="python" name="root" dev=dm-0 ino=7864321
scontext=system_u:system_r:xend_t:s0 tcontext=root:object_r:user_home_dir_t:s0
tclass=dir

Full audit.log attached...
Comment 6 Dan Young 2006-03-31 11:02:05 EST
Created attachment 127132 [details]
/var/log/audit/audit.log
Comment 7 Brian Stein 2006-10-26 16:28:52 EDT
Major changes in xen and policy should address this issue.  Please reopen if
necessary.

Note You need to log in before you can comment on or make changes to this bug.